# Uses of Class
java.lang.instrument.UnmodifiableClassException

Packages that use UnmodifiableClassException
Package
Description
java.lang.instrument
Provides services that allow Java programming language agents to instrument programs running on the JVM.

## Uses of UnmodifiableClassException in java.lang.instrument

Methods in java.lang.instrument that throw UnmodifiableClassException
Modifier and Type
Method
Description
`void`
Instrumentation.`redefineClasses(ClassDefinition... definitions)`
Redefine the supplied set of classes using the supplied class files.
`void`
Instrumentation.`retransformClasses(Class<?>... classes)`
Retransform the supplied set of classes.